package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.PaperBean;
import com.iamberry.wechat.core.entity.wx.KeyWord;
import com.iamberry.wechat.core.entity.wx.PagingDTO;

public interface KeyWordMapper {
	/**
	 * 根据keyServiceNo获取一个KeyWord对象
	 */
	public KeyWord selectOne(Long keyServiceNo);
	
	/**
	 * 查询关键字列表
	 * @param bean
	 * @return
	 */
	public List<KeyWord> selectKeyList(PaperBean bean);
	
	/**
	 * 查询关键字的数量
	 * @param keyWord
	 */
	public Integer selectKeyListCount(PaperBean bean);
	
	/**
	 * 批量删除
	 * @param keyWord
	 */
	public Integer batchDelKeyWordById(List<Integer> delIdList);
	
	/**
	 * 单个删除
	 * @param keyWord
	 */
	public Integer deleteKeyWordById(Long id);
	
	public void insert(KeyWord keyWord);
	
	void updateByPrimaryKey(KeyWord keyword);
	
	/**
	 * 根据微信公众号查询所有关键字的总页数
	 */
	public int selectAllKeyWordNum(String wxpublicNo);
	
	/**
	 * 
	 * @param wxpublicNo 微信公众号
	 * @param pageNo 当前页数
	 * @param selectNum 一次查询多少页
	 * @return
	 */
	public List<KeyWord> selectKeyWordPageList(PagingDTO pdto);

	public KeyWord getByKeyWord(String keyword);
}
